using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using NTK2019.Web.Intefaces;
using NTK2019.Web.Models;

namespace NTK2019.Web.Controllers
{
    public class RestController : Controller
    {
        private readonly IAIRestService aiRestService;

        public RestController(IAIRestService aiRestService)
        {
            this.aiRestService = aiRestService;
        }

        public IActionResult Index() => View(new MetricViewModel());
        public IActionResult Metrics() => View(new MetricViewModel());

        [HttpPost]
        public async Task<IActionResult> Metrics(MetricViewModel metricViewModel)
        {
            //metric receive
            var result = await aiRestService.GetMetricAsync(metricViewModel.Filter, metricViewModel.MetricId,
                metricViewModel.Timespan);
            metricViewModel.MetricResult = result;

            return View(metricViewModel);
        }
    }
}