﻿using System;
using System.Globalization;
using System.Threading.Tasks;
using Microsoft.WindowsAzure.Storage.Queue;
using NTK2019.Infrastructure;

namespace NTK2019.CustomMetrics
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("----Pošiljanje sporočil----");
            Console.ForegroundColor = ConsoleColor.White;

            var storage = new Storage();

            Console.WriteLine("Ustvarjanje povezave s sporočilno vrsto....");
            var currentQueue = await storage.InitStorageAsync("ntk");

            Console.WriteLine("Vnesi število sporočil...");
            //pošlji sporočila
            var readNumber = int.Parse(Console.ReadLine());

            Console.ForegroundColor = ConsoleColor.Green;
            for (int currentCounter = 1; currentCounter < readNumber + 1; currentCounter++)
            {
                var number = currentCounter * new Random().NextDouble();
                Console.WriteLine($"Pošiljam {number} v sporočilno vrsto....");
                await currentQueue.AddMessageAsync(
                    new CloudQueueMessage(number.ToString(CultureInfo.InvariantCulture)));
            }
            
            Console.ForegroundColor = ConsoleColor.Black;
            
            Console.WriteLine($"Sporočila {readNumber} so bila posredovana v vrsto...");
            Console.Read();
        }
    }
}