using System;
using System.Threading.Tasks;
using Microsoft.WindowsAzure.Storage;
using Microsoft.WindowsAzure.Storage.Queue;

namespace NTK2019.Infrastructure
{
    public class Storage
    {
        public async Task<CloudQueue> InitStorageAsync(string queueName)
        {
            Console.WriteLine($"Ustvarjanje povezavo z Azure Queue {queueName}");
            var storageAccount = CloudStorageAccount.Parse("DefaultEndpointsProtocol=https;AccountName=ntk2019;AccountKey=STORAGE-KEY;EndpointSuffix=core.windows.net");

            var queueClient = storageAccount.CreateCloudQueueClient();

            var queue = queueClient.GetQueueReference(queueName);
                
            try
            {
                await queue.CreateIfNotExistsAsync();
            }
            catch 
            {
                Console.WriteLine("Dostop do sporočilne vrste ni mogoče. Preverite parametre.");
                Console.ReadLine();
                throw;
            }

            return queue;
        }
    }
}