var AjaxFunctions = (function () {
    function AjaxFunctions() {
    }
    Object.defineProperty(AjaxFunctions.prototype, "status", {
        get: function () {
            return this.data;
        },
        enumerable: true,
        configurable: true
    });
    AjaxFunctions.prototype.get = function (url, callback) {
        var xhr = new XMLHttpRequest();
        xhr.open("GET", url);
        xhr.setRequestHeader("X-Ajax", "XMLHttpRequest");
        xhr.onload = function () {
            if (xhr.status === 200) {
                var result = xhr.responseText;
                callback(result);
            }
            else {
                callback("");
            }
        };
        xhr.send();
    };
    AjaxFunctions.prototype.getWithParameters = function (url, parameter, value, callback) {
        var paramConstruction = "?" + parameter + "=" + value;
        this.get(url + paramConstruction, callback);
    };
    AjaxFunctions.prototype.put = function (url, data) {
        var xhr = new XMLHttpRequest();
        xhr.open("PUT", url);
        xhr.setRequestHeader("X-Ajax", "XMLHttpRequest");
        xhr.setRequestHeader('Content-Type', 'application/json');
        xhr.onload = function () {
            if (xhr.status === 200) {
                data = JSON.parse(xhr.responseText);
            }
        };
        xhr.send(JSON.stringify(data));
    };
    AjaxFunctions.prototype.post = function (url, data) {
        var xhr = new XMLHttpRequest();
        xhr.open("POST", url);
        xhr.setRequestHeader("X-Ajax", "XMLHttpRequest");
        xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        xhr.onload = function () {
            if (xhr.status === 200) {
                data = xhr.responseText;
            }
            else if (xhr.status !== 200) {
                alert('Request failed.  Returned status of ' + xhr.status);
            }
        };
        xhr.send(encodeURI(data));
    };
    AjaxFunctions.prototype.param = function (object) {
        var encodedString = "";
        for (var prop in object) {
            if (object.hasOwnProperty(prop)) {
                if (encodedString.length > 0) {
                    encodedString += "&";
                }
                encodedString += encodeURI(prop + "=" + object[prop]);
            }
        }
        return encodedString;
    };
    return AjaxFunctions;
}());
//# sourceMappingURL=ajaxFunctions.js.map