using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using NTK2019.Web.Interfaces;
using NTK2019.Web.Models;

namespace NTK2019.Web.Controllers
{
    public class LogController : Controller
    {
        private readonly ILogAnalyticsService logAnalyticsService;

        public LogController(ILogAnalyticsService logAnalyticsService)
        {
            this.logAnalyticsService = logAnalyticsService;
        }

        public IActionResult Index()
        {
            return View(new LogAnalyticsViewModel());
        }

        [HttpPost]
        public async Task<IActionResult> Index(LogAnalyticsViewModel logAnalyticsViewModel)
        {
            var analyticsResults = await logAnalyticsService.ExecuteQueryAsync(logAnalyticsViewModel.Query);
            logAnalyticsViewModel.Results = analyticsResults;
            return View(logAnalyticsViewModel);
        }

        public IActionResult Add()
        {
            ViewBag.Message = "";
            return View(new CustomLogViewModel());
        }

        [HttpPost]
        public async Task<IActionResult> Add(CustomLogViewModel customLogViewModel)
        {
            await logAnalyticsService.AddCustomLogAsync(customLogViewModel.CollectionName, customLogViewModel.Message);

            ViewBag.Message =
                $"Sporočilo je bilo poslano na {customLogViewModel.CollectionName}. Uporabite iskalnik po logih.";
            return View();
        }
    }
}