using System;

namespace NTK2019.Web.Extensions
{
    public static class EnumExtensions
    {
        public static T ParseAsEnum<T>(this string value)
        {
            if (string.IsNullOrEmpty(value))
            {
                throw new ArgumentNullException(nameof(value));
            }

            var enumType = typeof(T);
            if (!enumType.IsEnum)
            {
                throw new InvalidOperationException("element is not an enum");
            }

            return (T)Enum.Parse(enumType, value);
        }
    }
}